Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script
Interface Window.GetURLHandler

All Known Implementing Classes:
  WindowWrapper.GetURLFunctionWrapper

Enclosing interface:
  Window

public static interface Window.GetURLHandler

To handle the completion of a 'getURL()' call.

Method Summary
`void` | `getURLDone(boolean success, java.lang.String mime, java.lang.String content)` Called before 'getURL()' returns.

Method Detail

### getURLDone

    public void getURLDone(boolean success,
                           java.lang.String mime,
                           java.lang.String content)

  Called before 'getURL()' returns.

  Parameters:
    `success` - Whether the data was successfully retreived.
    `mime` - The data MIME type.
    `content` - The data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.